Index: remote-m32r-sdi.c
===================================================================
RCS file: /cvs/src/src/gdb/remote-m32r-sdi.c,v
retrieving revision 1.4
diff -u -r1.4 remote-m32r-sdi.c
--- remote-m32r-sdi.c	15 Jun 2004 01:04:19 -0000	1.4
+++ remote-m32r-sdi.c	7 Jul 2004 04:04:40 -0000
@@ -161,7 +161,7 @@
 {
   int c;
 
-  if (!sdi_desc) 
+  if (!sdi_desc)
     return -1;
 
   c = serial_readchar (sdi_desc, SDI_TIMEOUT);
@@ -169,7 +169,7 @@
   if (c < 0)
     return -1;
 
-  if (c != '+')		/* error */
+  if (c != '+')			/* error */
     return -1;
 
   return 0;
@@ -181,7 +181,7 @@
 {
   int ret;
 
-  if (!sdi_desc) 
+  if (!sdi_desc)
     return -1;
 
   if (serial_write (sdi_desc, buf, len) != 0)
@@ -200,7 +200,7 @@
   int total = 0;
   int c;
 
-  if (!sdi_desc) 
+  if (!sdi_desc)
     return -1;
 
   while (total < len)
@@ -264,8 +264,7 @@
 /* This is called not only when we first attach, but also when the
    user types "run" after having attached.  */
 static void
-m32r_create_inferior (char *execfile, char *args, char **env,
-		      int from_tty)
+m32r_create_inferior (char *execfile, char *args, char **env, int from_tty)
 {
   CORE_ADDR entry_pt;
 
@@ -326,7 +325,7 @@
     {
       port_str = strchr (args, ':');
       if (port_str == NULL)
-        sprintf (hostname, "%s:%d", args, SDIPORT);
+	sprintf (hostname, "%s:%d", args, SDIPORT);
       else
 	strcpy (hostname, args);
     }
@@ -409,6 +408,7 @@
 m32r_resume (ptid_t ptid, int step, enum target_signal sig)
 {
   unsigned long pc_addr, bp_addr, ab_addr;
+  int ib_breakpoints;
   unsigned char buf[13];
   int i;
 
@@ -469,187 +469,205 @@
     }
   else
     {
-      int ib_breakpoints;
+      /* Unset PBP. */
+      buf[0] = SDI_WRITE_CPU_REG;
+      buf[1] = SDI_REG_PBP;
+      store_long_parameter (buf + 2, 0x00000000);
+      send_data (buf, 6);
+    }
 
-      if (use_ib_breakpoints)
-	ib_breakpoints = max_ib_breakpoints;
+  if (use_ib_breakpoints)
+    ib_breakpoints = max_ib_breakpoints;
+  else
+    ib_breakpoints = 0;
+
+  /* Set ib breakpoints. */
+  for (i = 0; i < ib_breakpoints; i++)
+    {
+      bp_addr = bp_address[i];
+
+      if (bp_addr == 0xffffffff)
+	continue;
+
+      /* Set PBP. */
+      buf[0] = SDI_WRITE_MEMORY;
+      store_long_parameter (buf + 1, 0xffff8000 + 4 * i);
+      store_long_parameter (buf + 5, 4);
+      if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
+	{
+	  buf[9] = ib_bp_entry_enable[0];
+	  buf[10] = ib_bp_entry_enable[1];
+	  buf[11] = ib_bp_entry_enable[2];
+	  buf[12] = ib_bp_entry_enable[3];
+	}
       else
-	ib_breakpoints = 0;
+	{
+	  buf[9] = ib_bp_entry_enable[3];
+	  buf[10] = ib_bp_entry_enable[2];
+	  buf[11] = ib_bp_entry_enable[1];
+	  buf[12] = ib_bp_entry_enable[0];
+	}
+      send_data (buf, 13);
+
+      buf[0] = SDI_WRITE_MEMORY;
+      store_long_parameter (buf + 1, 0xffff8080 + 4 * i);
+      store_long_parameter (buf + 5, 4);
+      store_unsigned_integer (buf + 9, 4, bp_addr);
+      send_data (buf, 13);
+    }
 
-      /* Set ib breakpoints. */
-      for (i = 0; i < ib_breakpoints; i++)
+  /* Set dbt breakpoints. */
+  for (i = ib_breakpoints; i < MAX_BREAKPOINTS; i++)
+    {
+      bp_addr = bp_address[i];
+
+      if (bp_addr == 0xffffffff)
+	continue;
+
+      if (!mmu_on)
+	bp_addr &= 0x7fffffff;
+
+      /* Write DBT instruction. */
+      buf[0] = SDI_WRITE_MEMORY;
+      store_long_parameter (buf + 1, bp_addr);
+      store_long_parameter (buf + 5, 4);
+      if ((bp_addr & 2) == 0 && bp_addr != (pc_addr & 0xfffffffc))
 	{
-	  bp_addr = bp_address[i];
-	  if (bp_addr != 0xffffffff && bp_addr != pc_addr)
+	  if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
 	    {
-	      /* Set PBP. */
-	      buf[0] = SDI_WRITE_MEMORY;
-	      store_long_parameter (buf + 1, 0xffff8000 + 4 * i);
-	      store_long_parameter (buf + 5, 4);
-	      if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
-		{
-		  buf[9] = ib_bp_entry_enable[0];
-		  buf[10] = ib_bp_entry_enable[1];
-		  buf[11] = ib_bp_entry_enable[2];
-		  buf[12] = ib_bp_entry_enable[3];
-		}
-	      else
-		{
-		  buf[9] = ib_bp_entry_enable[3];
-		  buf[10] = ib_bp_entry_enable[2];
-		  buf[11] = ib_bp_entry_enable[1];
-		  buf[12] = ib_bp_entry_enable[0];
-		}
-	      send_data (buf, 13);
-
-	      buf[0] = SDI_WRITE_MEMORY;
-	      store_long_parameter (buf + 1, 0xffff8080 + 4 * i);
-	      store_long_parameter (buf + 5, 4);
-	      store_unsigned_integer (buf + 9, 4, bp_addr);
-	      send_data (buf, 13);
+	      buf[9] = dbt_bp_entry[0];
+	      buf[10] = dbt_bp_entry[1];
+	      buf[11] = dbt_bp_entry[2];
+	      buf[12] = dbt_bp_entry[3];
+	    }
+	  else
+	    {
+	      buf[9] = dbt_bp_entry[3];
+	      buf[10] = dbt_bp_entry[2];
+	      buf[11] = dbt_bp_entry[1];
+	      buf[12] = dbt_bp_entry[0];
 	    }
 	}
-
-      /* Set dbt breakpoints. */
-      for (i = ib_breakpoints; i < MAX_BREAKPOINTS; i++)
+      else
 	{
-	  bp_addr = bp_address[i];
-	  if (bp_addr != 0xffffffff && bp_addr != pc_addr)
+	  if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
 	    {
-	      if (!mmu_on)
-		bp_addr &= 0x7fffffff;
-
-	      /* Write DBT instruction. */
-	      buf[0] = SDI_WRITE_MEMORY;
-	      if ((bp_addr & 2) == 0 && bp_addr != (pc_addr & 0xfffffffc))
+	      if ((bp_addr & 2) == 0)
 		{
-		  store_long_parameter (buf + 1, bp_addr);
-		  store_long_parameter (buf + 5, 4);
-		  if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
-		    {
-		      buf[9] = dbt_bp_entry[0];
-		      buf[10] = dbt_bp_entry[1];
-		      buf[11] = dbt_bp_entry[2];
-		      buf[12] = dbt_bp_entry[3];
-		    }
-		  else
-		    {
-		      buf[9] = dbt_bp_entry[3];
-		      buf[10] = dbt_bp_entry[2];
-		      buf[11] = dbt_bp_entry[1];
-		      buf[12] = dbt_bp_entry[0];
-		    }
-		  send_data (buf, 13);
+		  buf[9] = dbt_bp_entry[0];
+		  buf[10] = dbt_bp_entry[1];
+		  buf[11] = bp_data[i][2] & 0x7f;
+		  buf[12] = bp_data[i][3];
 		}
 	      else
 		{
-		  if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
-		    store_long_parameter (buf + 1, bp_addr);
-		  else if ((bp_addr & 2) == 0)
-		    store_long_parameter (buf + 1, bp_addr + 2);
-		  else
-		    store_long_parameter (buf + 1, bp_addr - 2);
-		  store_long_parameter (buf + 5, 2);
-		  if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
-		    {
-		      buf[9] = dbt_bp_entry[0];
-		      buf[10] = dbt_bp_entry[1];
-		    }
-		  else
-		    {
-		      buf[9] = dbt_bp_entry[1];
-		      buf[10] = dbt_bp_entry[0];
-		    }
-		  send_data (buf, 11);
+		  buf[9] = bp_data[i][0];
+		  buf[10] = bp_data[i][1];
+		  buf[11] = dbt_bp_entry[0];
+		  buf[12] = dbt_bp_entry[1];
 		}
 	    }
-	}
-
-      /* Set access breaks. */
-      for (i = 0; i < max_access_breaks; i++)
-	{
-	  ab_addr = ab_address[i];
-	  if (ab_addr != 0x00000000)
+	  else
 	    {
-	      /* DBC register */
-	      buf[0] = SDI_WRITE_MEMORY;
-	      store_long_parameter (buf + 1, 0xffff8100 + 4 * i);
-	      store_long_parameter (buf + 5, 4);
-	      if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
+	      if ((bp_addr & 2) == 0)
 		{
-		  buf[9] = 0x00;
-		  buf[10] = 0x00;
-		  buf[11] = 0x00;
-		  switch (ab_type[i])
-		    {
-		    case 0:	/* write watch */
-		      buf[12] = 0x86;
-		      break;
-		    case 1:	/* read watch */
-		      buf[12] = 0x46;
-		      break;
-		    case 2:	/* access watch */
-		      buf[12] = 0x06;
-		      break;
-		    }
+		  buf[9] = bp_data[i][0];
+		  buf[10] = bp_data[i][1] & 0x7f;
+		  buf[11] = dbt_bp_entry[1];
+		  buf[12] = dbt_bp_entry[0];
 		}
 	      else
 		{
-		  switch (ab_type[i])
-		    {
-		    case 0:	/* write watch */
-		      buf[9] = 0x86;
-		      break;
-		    case 1:	/* read watch */
-		      buf[9] = 0x46;
-		      break;
-		    case 2:	/* access watch */
-		      buf[9] = 0x06;
-		      break;
-		    }
-		  buf[10] = 0x00;
-		  buf[11] = 0x00;
-		  buf[12] = 0x00;
+		  buf[9] = dbt_bp_entry[1];
+		  buf[10] = dbt_bp_entry[0];
+		  buf[11] = bp_data[i][2];
+		  buf[12] = bp_data[i][3];
 		}
-	      send_data (buf, 13);
-
-	      /* DBAH register */
-	      buf[0] = SDI_WRITE_MEMORY;
-	      store_long_parameter (buf + 1, 0xffff8180 + 4 * i);
-	      store_long_parameter (buf + 5, 4);
-	      store_unsigned_integer (buf + 9, 4, ab_addr);
-	      send_data (buf, 13);
+	    }
+	}
+      send_data (buf, 13);
+    }
 
-	      /* DBAL register */
-	      buf[0] = SDI_WRITE_MEMORY;
-	      store_long_parameter (buf + 1, 0xffff8200 + 4 * i);
-	      store_long_parameter (buf + 5, 4);
-	      store_long_parameter (buf + 9, 0xffffffff);
-	      send_data (buf, 13);
+  /* Set access breaks. */
+  for (i = 0; i < max_access_breaks; i++)
+    {
+      ab_addr = ab_address[i];
 
-	      /* DBD register */
-	      buf[0] = SDI_WRITE_MEMORY;
-	      store_long_parameter (buf + 1, 0xffff8280 + 4 * i);
-	      store_long_parameter (buf + 5, 4);
-	      store_long_parameter (buf + 9, 0x00000000);
-	      send_data (buf, 13);
+      if (ab_addr == 0x00000000)
+	continue;
 
-	      /* DBDM register */
-	      buf[0] = SDI_WRITE_MEMORY;
-	      store_long_parameter (buf + 1, 0xffff8300 + 4 * i);
-	      store_long_parameter (buf + 5, 4);
-	      store_long_parameter (buf + 9, 0x00000000);
-	      send_data (buf, 13);
+      /* DBC register */
+      buf[0] = SDI_WRITE_MEMORY;
+      store_long_parameter (buf + 1, 0xffff8100 + 4 * i);
+      store_long_parameter (buf + 5, 4);
+      if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
+	{
+	  buf[9] = 0x00;
+	  buf[10] = 0x00;
+	  buf[11] = 0x00;
+	  switch (ab_type[i])
+	    {
+	    case 0:		/* write watch */
+	      buf[12] = 0x86;
+	      break;
+	    case 1:		/* read watch */
+	      buf[12] = 0x46;
+	      break;
+	    case 2:		/* access watch */
+	      buf[12] = 0x06;
+	      break;
+	    }
+	}
+      else
+	{
+	  switch (ab_type[i])
+	    {
+	    case 0:		/* write watch */
+	      buf[9] = 0x86;
+	      break;
+	    case 1:		/* read watch */
+	      buf[9] = 0x46;
+	      break;
+	    case 2:		/* access watch */
+	      buf[9] = 0x06;
+	      break;
 	    }
+	  buf[10] = 0x00;
+	  buf[11] = 0x00;
+	  buf[12] = 0x00;
 	}
+      send_data (buf, 13);
 
-      /* Unset PBP. */
-      buf[0] = SDI_WRITE_CPU_REG;
-      buf[1] = SDI_REG_PBP;
-      store_long_parameter (buf + 2, 0x00000000);
-      send_data (buf, 6);
+      /* DBAH register */
+      buf[0] = SDI_WRITE_MEMORY;
+      store_long_parameter (buf + 1, 0xffff8180 + 4 * i);
+      store_long_parameter (buf + 5, 4);
+      store_unsigned_integer (buf + 9, 4, ab_addr);
+      send_data (buf, 13);
+
+      /* DBAL register */
+      buf[0] = SDI_WRITE_MEMORY;
+      store_long_parameter (buf + 1, 0xffff8200 + 4 * i);
+      store_long_parameter (buf + 5, 4);
+      store_long_parameter (buf + 9, 0xffffffff);
+      send_data (buf, 13);
+
+      /* DBD register */
+      buf[0] = SDI_WRITE_MEMORY;
+      store_long_parameter (buf + 1, 0xffff8280 + 4 * i);
+      store_long_parameter (buf + 5, 4);
+      store_long_parameter (buf + 9, 0x00000000);
+      send_data (buf, 13);
+
+      /* DBDM register */
+      buf[0] = SDI_WRITE_MEMORY;
+      store_long_parameter (buf + 1, 0xffff8300 + 4 * i);
+      store_long_parameter (buf + 5, 4);
+      store_long_parameter (buf + 9, 0x00000000);
+      send_data (buf, 13);
     }
 
+  /* Resume program. */
   buf[0] = SDI_EXEC_CPU;
   send_data (buf, 1);
 
@@ -680,6 +698,7 @@
 {
   static RETSIGTYPE (*prev_sigint) ();
   unsigned long bp_addr, pc_addr;
+  int ib_breakpoints;
   long i;
   unsigned char buf[13];
   unsigned long val;
@@ -705,7 +724,7 @@
       if (c < 0)
 	error ("Remote connection closed");
 
-      if (c == '-')	/* error */
+      if (c == '-')		/* error */
 	{
 	  status->kind = TARGET_WAITKIND_STOPPED;
 	  status->value.sig = TARGET_SIGNAL_HUP;
@@ -747,130 +766,123 @@
       last_pc_addr = 0xffffffff;
     }
 
-  /* Breakpoints are inserted only for "next" command */
-  if (!step_mode)
-    {
-      int ib_breakpoints;
-
-      if (use_ib_breakpoints)
-	ib_breakpoints = max_ib_breakpoints;
-      else
-	ib_breakpoints = 0;
+  if (use_ib_breakpoints)
+    ib_breakpoints = max_ib_breakpoints;
+  else
+    ib_breakpoints = 0;
 
-      /* Set back pc by 2 if m32r is stopped with dbt. */
-      buf[0] = SDI_READ_CPU_REG;
-      buf[1] = SDI_REG_BPC;
-      send_data (buf, 2);
-      recv_data (&val, 4);
-      pc_addr = ntohl (val) - 2;
-      for (i = ib_breakpoints; i < MAX_BREAKPOINTS; i++)
+  /* Set back pc by 2 if m32r is stopped with dbt. */
+  last_pc_addr = 0xffffffff;
+  buf[0] = SDI_READ_CPU_REG;
+  buf[1] = SDI_REG_BPC;
+  send_data (buf, 2);
+  recv_data (&val, 4);
+  pc_addr = ntohl (val) - 2;
+  for (i = ib_breakpoints; i < MAX_BREAKPOINTS; i++)
+    {
+      if (pc_addr == bp_address[i])
 	{
-	  if (pc_addr == bp_address[i])
+	  buf[0] = SDI_WRITE_CPU_REG;
+	  buf[1] = SDI_REG_BPC;
+	  store_long_parameter (buf + 2, pc_addr);
+	  send_data (buf, 6);
+
+	  /* If there is a parallel instruction with +2 offset at pc
+	     address, we have to take care of it later. */
+	  if ((pc_addr & 0x2) != 0)
 	    {
-	      buf[0] = SDI_WRITE_CPU_REG;
-	      buf[1] = SDI_REG_BPC;
-	      store_long_parameter (buf + 2, pc_addr);
-	      send_data (buf, 6);
-
-	      /* If there is a parallel instruction with +2 offset at pc
-	         address, we have to take care of it later. */
-	      if ((pc_addr & 0x2) != 0)
+	      if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
 		{
-		  if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
+		  if ((bp_data[i][2] & 0x80) != 0)
 		    {
-		      if ((bp_data[i][2] & 0x80) != 0)
-			{
-			  last_pc_addr = pc_addr;
-			  last_pc_addr_data[0] = bp_data[i][2];
-			  last_pc_addr_data[1] = bp_data[i][3];
-			}
+		      last_pc_addr = pc_addr;
+		      last_pc_addr_data[0] = bp_data[i][2];
+		      last_pc_addr_data[1] = bp_data[i][3];
 		    }
-		  else
+		}
+	      else
+		{
+		  if ((bp_data[i][1] & 0x80) != 0)
 		    {
-		      if ((bp_data[i][1] & 0x80) != 0)
-			{
-			  last_pc_addr = pc_addr;
-			  last_pc_addr_data[0] = bp_data[i][1];
-			  last_pc_addr_data[1] = bp_data[i][0];
-			}
+		      last_pc_addr = pc_addr;
+		      last_pc_addr_data[0] = bp_data[i][1];
+		      last_pc_addr_data[1] = bp_data[i][0];
 		    }
 		}
-	      break;
 	    }
+	  break;
 	}
+    }
 
-      /* Remove ib breakpoints. */
-      for (i = 0; i < ib_breakpoints; i++)
+  /* Remove ib breakpoints. */
+  for (i = 0; i < ib_breakpoints; i++)
+    {
+      if (bp_address[i] != 0xffffffff)
 	{
-	  if (bp_address[i] != 0xffffffff)
-	    {
-	      buf[0] = SDI_WRITE_MEMORY;
-	      store_long_parameter (buf + 1, 0xffff8000 + 4 * i);
-	      store_long_parameter (buf + 5, 4);
-	      buf[9] = ib_bp_entry_disable[0];
-	      buf[10] = ib_bp_entry_disable[1];
-	      buf[11] = ib_bp_entry_disable[2];
-	      buf[12] = ib_bp_entry_disable[3];
-	      send_data (buf, 13);
-	    }
+	  buf[0] = SDI_WRITE_MEMORY;
+	  store_long_parameter (buf + 1, 0xffff8000 + 4 * i);
+	  store_long_parameter (buf + 5, 4);
+	  buf[9] = ib_bp_entry_disable[0];
+	  buf[10] = ib_bp_entry_disable[1];
+	  buf[11] = ib_bp_entry_disable[2];
+	  buf[12] = ib_bp_entry_disable[3];
+	  send_data (buf, 13);
 	}
-      /* Remove dbt breakpoints. */
-      for (i = ib_breakpoints; i < MAX_BREAKPOINTS; i++)
+    }
+  /* Remove dbt breakpoints. */
+  for (i = ib_breakpoints; i < MAX_BREAKPOINTS; i++)
+    {
+      bp_addr = bp_address[i];
+      if (bp_addr != 0xffffffff)
 	{
-	  bp_addr = bp_address[i];
-	  if (bp_addr != 0xffffffff)
-	    {
-	      if (!mmu_on)
-		bp_addr &= 0x7fffffff;
-	      buf[0] = SDI_WRITE_MEMORY;
-	      store_long_parameter (buf + 1, bp_addr & 0xfffffffc);
-	      store_long_parameter (buf + 5, 4);
-	      buf[9] = bp_data[i][0];
-	      buf[10] = bp_data[i][1];
-	      buf[11] = bp_data[i][2];
-	      buf[12] = bp_data[i][3];
-	      send_data (buf, 13);
-	    }
+	  if (!mmu_on)
+	    bp_addr &= 0x7fffffff;
+	  buf[0] = SDI_WRITE_MEMORY;
+	  store_long_parameter (buf + 1, bp_addr & 0xfffffffc);
+	  store_long_parameter (buf + 5, 4);
+	  buf[9] = bp_data[i][0];
+	  buf[10] = bp_data[i][1];
+	  buf[11] = bp_data[i][2];
+	  buf[12] = bp_data[i][3];
+	  send_data (buf, 13);
 	}
+    }
 
-      /* Remove access breaks. */
-      hit_watchpoint_addr = 0;
-      for (i = 0; i < max_access_breaks; i++)
-	{
-	  if (ab_address[i] != 0x00000000)
+  /* Remove access breaks. */
+  hit_watchpoint_addr = 0;
+  for (i = 0; i < max_access_breaks; i++)
+    {
+      if (ab_address[i] != 0x00000000)
+	{
+	  buf[0] = SDI_READ_MEMORY;
+	  store_long_parameter (buf + 1, 0xffff8100 + 4 * i);
+	  store_long_parameter (buf + 5, 4);
+	  serial_write (sdi_desc, buf, 9);
+	  c = serial_readchar (sdi_desc, SDI_TIMEOUT);
+	  if (c != '-' && recv_data (buf, 4) != -1)
 	    {
-	      buf[0] = SDI_READ_MEMORY;
-	      store_long_parameter (buf + 1, 0xffff8100 + 4 * i);
-	      store_long_parameter (buf + 5, 4);
-	      serial_write (sdi_desc, buf, 9);
-	      c = serial_readchar (sdi_desc, SDI_TIMEOUT);
-	      if (c != '-' && recv_data (buf, 4) != -1)
+	      if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
 		{
-		  if (TARGET_BYTE_ORDER == BFD_ENDIAN_BIG)
-		    {
-		      if ((buf[3] & 0x1) == 0x1)
-			hit_watchpoint_addr = ab_address[i];
-		    }
-		  else
-		    {
-		      if ((buf[0] & 0x1) == 0x1)
-			hit_watchpoint_addr = ab_address[i];
-		    }
+		  if ((buf[3] & 0x1) == 0x1)
+		    hit_watchpoint_addr = ab_address[i];
+		}
+	      else
+		{
+		  if ((buf[0] & 0x1) == 0x1)
+		    hit_watchpoint_addr = ab_address[i];
 		}
-
-	      buf[0] = SDI_WRITE_MEMORY;
-	      store_long_parameter (buf + 1, 0xffff8100 + 4 * i);
-	      store_long_parameter (buf + 5, 4);
-	      store_long_parameter (buf + 9, 0x00000000);
-	      send_data (buf, 13);
 	    }
-	}
 
-      if (remote_debug)
-	fprintf_unfiltered (gdb_stdlog, "pc => 0x%lx\n", pc_addr);
+	  buf[0] = SDI_WRITE_MEMORY;
+	  store_long_parameter (buf + 1, 0xffff8100 + 4 * i);
+	  store_long_parameter (buf + 5, 4);
+	  store_long_parameter (buf + 9, 0x00000000);
+	  send_data (buf, 13);
+	}
     }
-  else
-    last_pc_addr = 0xffffffff;
+
+  if (remote_debug)
+    fprintf_unfiltered (gdb_stdlog, "pc => 0x%lx\n", pc_addr);
 
   return inferior_ptid;
 }
@@ -1540,11 +1552,11 @@
     {
       c = serial_readchar (sdi_desc, SDI_TIMEOUT);
       if (c < 0)
-        return;
+	return;
       buf[i] = c;
       if (c == 0)
-        break;
-    }    
+	break;
+    }
 
   printf_filtered ("%s", buf);
 }
